Subject: Re: [PATCH v2 0/2] bugreport.c: fix a crash in git bugreport with --no-suffix option

From: Junio C Hamano <[email-masked]>
Date: Thu, 14 Mar 2024 09:27:47 -0700

"barroit via GitGitGadget" <[email-masked]> writes:

> executing git bugreport --no-suffix led to a segmentation fault due to
> strbuf_addftime() being called with a NULL option_suffix variable. This
> occurs because negating the "--[no-]suffix" option causes the parser to set
> option_suffix to NULL, which is not handled prior to calling
> strbuf_addftime().
>
> Jiamu Sun (2):
>   bugreport.c: fix a crash in `git bugreport` with `--no-suffix` option
>   doc: update doc file and usage for git-bugreport

Squash them together into a single patch.  As you didn't have any
meaningful log message in [2/2], unless there are other things that
need to be updated and v3 is needed, I can squash them into one
commit, though.

Thanks for updating.